## gcc-9 9.3.0

=== gcc/gm2/examples/pthread/Makefile ===
# Copyright (C) 2005 Free Software Foundation, Inc.
# This file is part of GNU Modula-2.
#
# GNU Modula-2 is free software; you can redistribute it and/or modify it under
# the terms of the GNU General Public License as published by the Free
# Software Foundation; either version 3, or (at your option) any later
# version.
# 
# GNU Modula-2 is distributed in the hope that it will be useful, but WITHOUT ANY
# WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# for more details.
# 
# You should have received a copy of the GNU General Public License along
# with gm2; see the file COPYING.  If not, write to the Free Software
# Foundation, 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.

all: libcwrap.o force
	gm2 -fmakeall -I. testselect.mod -lpth

libcwrap.o: libcwrap.c
	$(CC) -g -c -o $@ $<

clean: force
	$(RM) *.o a.out

force:

=== gcc/jit/docs/_build/texinfo/Makefile ===
# Makefile for Sphinx Texinfo output

infodir ?= /usr/share/info

MAKEINFO = makeinfo --no-split
MAKEINFO_html = makeinfo --no-split --html
MAKEINFO_plaintext = makeinfo --no-split --plaintext
TEXI2PDF = texi2pdf --batch --expand
INSTALL_INFO = install-info

ALLDOCS = $(basename $(wildcard *.texi))

all: info
info: $(addsuffix .info,$(ALLDOCS))
plaintext: $(addsuffix .txt,$(ALLDOCS))
html: $(addsuffix .html,$(ALLDOCS))
pdf: $(addsuffix .pdf,$(ALLDOCS))

install-info: info
	for f in *.info; do \
	  cp -t $(infodir) "$$f" && \
	  $(INSTALL_INFO) --info-dir=$(infodir) "$$f" ; \
	done

uninstall-info: info
	for f in *.info; do \
	  rm -f "$(infodir)/$$f"  ; \
	  $(INSTALL_INFO) --delete --info-dir=$(infodir) "$$f" ; \
	done

%.info: %.texi
	$(MAKEINFO) -o '$@' '$<'

%.txt: %.texi
	$(MAKEINFO_plaintext) -o '$@' '$<'

%.html: %.texi
	$(MAKEINFO_html) -o '$@' '$<'

%.pdf: %.texi
	-$(TEXI2PDF) '$<'
	-$(TEXI2PDF) '$<'
	-$(TEXI2PDF) '$<'

clean:
	-rm -f *.info *.pdf *.txt *.html
	-rm -f *.log *.ind *.aux *.toc *.syn *.idx *.out *.ilg *.pla *.ky *.pg
	-rm -f *.vr *.tp *.fn *.fns *.def *.defs *.cp *.cps *.ge *.ges *.mo

.PHONY: all info plaintext html pdf install-info uninstall-info clean

## gcc-9 9.2.1

=== debian/changelog ===
gcc-9 (9.2.1-9ubuntu2) eoan; urgency=medium

  * Revert the ada changes from -9, introducing a ftbfs on armel.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 10 Oct 2019 11:39:55 +0200

gcc-9 (9.2.1-9ubuntu1) eoan; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 08 Oct 2019 14:33:47 +0200

gcc-9 (9.2.1-9) unstable; urgency=medium

  * Update to SVN 20191008 (r276687) from the gcc-9-branch.
    - Fix PR libstdc++/91748, PR rtl-optimization/89795, PR c++/91705,
      PR target/86805 (SH), PR target/80672 (SH), PR rtl-optimization/88751,
      PR target/91683 (riscv), PR target/91269 (SPARC),
      PR target/91635 (riscv), PR c++/91923, PR fortran/91557,
      PR fortran/91553, PR fortran/91566, PR fortran/91642, PR fortran/91588,
      PR fortran/91727, PR fortran/91550, PR target/91275 (PPC),
      PR target/91769 (MIPS), PR fortran/91716, PR target/88562 (SH),
      PR driver/69471, PR fortran/84487, PR fortran/47054, PR fortran/91942,
      PR fortran/91785, PR fortran/91864, PR fortran/91802, PR fortran/91714,
      PR fortran/91641.
    - Fix ICE on MIPS. Closes: #941263.
  * Disable gm2 on hurd-i386, mc hangs there (Samuel Thibault). Closes: #940600.
  * Apply proposed patch for PR target/92022. Addresses: #931815.

  [ Nicolas Boulenguez ]
  * Update ada local patches.

 -- Matthias Klose <doko@debian.org>  Tue, 08 Oct 2019 10:21:22 +0200

gcc-9 (9.2.1-8ubuntu1) eoan; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 09 Sep 2019 19:21:40 +0200

gcc-9 (9.2.1-8) unstable; urgency=medium

  * Update to SVN 20190909 (r275519) from the gcc-9-branch.
    - Fix PR fortran/91496, PR fortran/91496, PR fortran/91660,
      PR fortran/91589, PR target/87853 (x86), PR target/91704 (x86).
  * libstdc++: Fix GCC_LINUX_FUTEX to work with C99 compilers, taken from
    the trunk.
  * Make LTO link pick up compile-time -g (proposed patch).

 -- Matthias Klose <doko@debian.org>  Mon, 09 Sep 2019 17:18:48 +0200

gcc-9 (9.2.1-7ubuntu2) eoan; urgency=medium

  * Update to SVN 20190907 (r275485) from the gcc-9-branch.
    - Fix PR fortran/91496, PR fortran/91496, PR fortran/91660.
  * Fix GCC_LINUX_FUTEX to work with C99 compilers, taken from the trunk.
  * Re-enable running the testsuite.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 07 Sep 2019 09:40:59 +0200

gcc-9 (9.2.1-7ubuntu1) eoan; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 05 Sep 2019 07:00:00 +0200

gcc-9 (9.2.1-7) unstable; urgency=medium

  * Update to SVN 20190905 (r275396) from the gcc-9-branch.
    - Fix PR libstdc++/91067, PR target/91481 (PPC),
      PR tree-optimization/90278, PR tree-optimization/91568,
      PR tree-optimization/90637, PR fortran/91565, PR fortran/91564,
      PR fortran/91551, PR fortran/91587, PR pch/61250, PR c++/91155,
      PR tree-optimization/91597, PR gcov-profile/91601,
      PR target/91472 (SPARC), PR c++/91129, PR fortran/91552,
      PR target/81800 (AArch64).
  * Drop the gcc-alpha-bs-ignore patch, apparently not necessary anymore.
  * For the omp.h header, use the configured OMP_NEST_LOCK_SIZE and
    OMP_NEST_LOCK_ALIGN values for some non-multilib architectures.
    Closes: #935750.
  * Use Python3 to build the gm2 frontend. Closes: #936586.
  * libgphobos76: Add breaks: dub (<< 1.16.0-1~). Addresses: #935275.

 -- Matthias Klose <doko@debian.org>  Thu, 05 Sep 2019 06:45:00 +0200

gcc-9 (9.2.1-6ubuntu3) eoan; urgency=medium

  * Rebuild for glibc 2.30.
  * Update to SVN 20190901 (r275264) from the gcc-9-branch.
    - Fix PR libstdc++/91067, PR target/91481 (PPC),
      PR tree-optimization/90278, PR tree-optimization/91568,
      PR tree-optimization/90637, PR fortran/91565, PR fortran/91564,
      PR fortran/91551, PR fortran/91587, PR pch/61250.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 01 Sep 2019 23:17:41 +0200

gcc-9 (9.2.1-6ubuntu1) eoan; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 28 Aug 2019 01:15:11 +0200

gcc-9 (9.2.1-6) unstable; urgency=medium

  * Update to SVN 20190827 (r274974) from the gcc-9-branch.
    - Fix PR ipa/91508, PR ipa/91438, PR ipa/91404, PR lto/91287,
      PR target/91533 (x86), PR ipa/91508, PR ipa/91438, PR ipa/91404,
      PR c++/91521.
  * Backport LTO jobserver support (-flto=auto).
  * any_archs: Remove mips and powerpcspe, add riscv64.

 -- Matthias Klose <doko@debian.org>  Wed, 28 Aug 2019 01:01:47 +0200

gcc-9 (9.2.1-4ubuntu1) eoan; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 22 Aug 2019 14:32:32 +0200

gcc-9 (9.2.1-4) unstable; urgency=medium

  * Fix typo for gm2 enablement.
  * Disable gm2 on powerpc, ppc64, sh4, kfreebsd-i386, kfreebsd-amd64.
    See the build logs of 9.2.1-3 for the various issues.

 -- Matthias Klose <doko@debian.org>  Thu, 22 Aug 2019 12:12:07 +0200

gcc-9 (9.2.1-3ubuntu1) eoan; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 21 Aug 2019 12:20:03 +0200

gcc-9 (9.2.1-3) unstable; urgency=medium

  * Update to SVN 20190821 (r274792) from the gcc-9-branch.
    - Fix PR rtl-optimization/91347, PR target/91386 (AArch64).

  [ Aurelien Jarno ]
  * Enable Ada on riscv64.

  [ Matthias Klose ]
  * Build the gm2 packages except on powerpc and x32.
  * Update gm2 cross build dependencies.
  * Fix gm2 build with -j32.
  * Configure with --enable-libpth-m2 for gm2 cross builds.
  * Configure --without-target-system-zlib for gdc cross builds.
  * Remove not needed libpth-dev dependency for gm2 packages.
  * Ignore M2Version.o for gm2 bootstrap comparison.
  * Update gm2 from the gcc_9_2_0_gm2 branch 20190820.



=== debian/control ===
Source: gcc-9
Section: devel
Priority: optional
Maintainer: Ubuntu Core developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
Uploaders: Matthias Klose <doko@debian.org>
Standards-Version: 4.4.0
Build-Depends: debhelper (>= 9.20141010), dpkg-dev (>= 1.17.14), g++-multilib [amd64 armel armhf i386 kfreebsd-amd64 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 s390 s390x sparc sparc64 x32] <!cross>, 
  libc6.1-dev (>= 2.13-0ubuntu6) [alpha ia64] | libc0.3-dev (>= 2.13-0ubuntu6) [hurd-i386] | libc0.1-dev (>= 2.13-0ubuntu6) [kfreebsd-i386 kfreebsd-amd64] | libc6-dev (>= 2.13-0ubuntu6), libc6-dev (>= 2.13-31) [armel armhf], libc6-dev-amd64 [i386 x32], libc6-dev-sparc64 [sparc], libc6-dev-sparc [sparc64], libc6-dev-s390 [s390x], libc6-dev-s390x [s390], libc6-dev-i386 [amd64 x32], libc6-dev-powerpc [ppc64], libc6-dev-ppc64 [powerpc], libc0.1-dev-i386 [kfreebsd-amd64], lib32gcc1 [amd64 ppc64 kfreebsd-amd64 mipsn32 mipsn32el mips64 mips64el mipsn32r6 mipsn32r6el mips64r6 mips64r6el s390x sparc64 x32], libn32gcc1 [mips mipsel mips64 mips64el mipsr6 mipsr6el mips64r6 mips64r6el], lib64gcc1 [i386 mips mipsel mipsn32 mipsn32el mipsr6 mipsr6el mipsn32r6 mipsn32r6el powerpc sparc s390 x32], libc6-dev-mips64 [mips mipsel mipsn32 mipsn32el mipsr6 mipsr6el mipsn32r6 mipsn32r6el], libc6-dev-mipsn32 [mips mipsel mips64 mips64el mipsr6 mipsr6el mips64r6 mips64r6el], libc6-dev-mips32 [mipsn32 mipsn32el mips64 mips64el mipsn32r6 mipsn32r6el mips64r6 mips64r6el], libc6-dev-x32 [amd64 i386], libx32gcc1 [amd64 i386], libc6-dev-armhf [armel], libhfgcc1 [armel], libc6-dev-armel [armhf], libsfgcc1 [armhf], libc6.1-dbg [alpha ia64] | libc0.3-dbg [hurd-i386] | libc0.1-dbg [kfreebsd-i386 kfreebsd-amd64] | libc6-dbg, 
  kfreebsd-kernel-headers (>= 0.84) [kfreebsd-any], linux-libc-dev [m68k], 
  m4, libtool, autoconf, 
  dwz, libunwind8-dev [ia64], libatomic-ops-dev [ia64], 
  gawk, lzma, xz-utils, patchutils, 
  zlib1g-dev, systemtap-sdt-dev [linux-any kfreebsd-any hurd-any], 
  binutils:native (>= 2.33), binutils-hppa64-linux-gnu:native (>= 2.33) [hppa amd64 i386 x32], 
  gperf (>= 3.0.1), bison (>= 1:2.3), flex, gettext, 
  gdb:native [!riscv64], nvptx-tools [amd64 ppc64el], 
  texinfo (>= 4.3), locales-all, sharutils, 
  procps, gnat-9:native [!m32r !sh3 !sh3eb !sh4eb !m68k], g++-9:native, netbase, libpth-dev, python3:any, 
  libisl-dev, libmpc-dev (>= 1.0), libmpfr-dev (>= 3.0.0-9~), libgmp-dev (>= 2:5.0.1~), lib32z1-dev [amd64 kfreebsd-amd64], lib64z1-dev [i386], libx32z1-dev [amd64 kfreebsd-amd64 i386], 
  dejagnu [!m68k] <!nocheck>, coreutils (>= 2.26) | realpath (>= 1.9.12), chrpath, lsb-release, quilt, 
  pkg-config, libgc-dev, 
   g++-9-alpha-linux-gnu [alpha] <cross>, gobjc-9-alpha-linux-gnu [alpha] <cross>, gfortran-9-alpha-linux-gnu [alpha] <cross>, gdc-9-alpha-linux-gnu [alpha] <cross>, gccgo-9-alpha-linux-gnu [alpha] <cross>, gnat-9-alpha-linux-gnu [alpha] <cross>, gm2-9-alpha-linux-gnu [alpha] <cross>, g++-9-x86-64-linux-gnu [amd64] <cross>, gobjc-9-x86-64-linux-gnu [amd64] <cross>, gfortran-9-x86-64-linux-gnu [amd64] <cross>, gdc-9-x86-64-linux-gnu [amd64] <cross>, gccgo-9-x86-64-linux-gnu [amd64] <cross>, gnat-9-x86-64-linux-gnu [amd64] <cross>, gm2-9-x86-64-linux-gnu [amd64] <cross>, g++-9-arm-linux-gnueabi [armel] <cross>, gobjc-9-arm-linux-gnueabi [armel] <cross>, gfortran-9-arm-linux-gnueabi [armel] <cross>, gdc-9-arm-linux-gnueabi [armel] <cross>, gccgo-9-arm-linux-gnueabi [armel] <cross>, gnat-9-arm-linux-gnueabi [armel] <cross>, gm2-9-arm-linux-gnueabi [armel] <cross>, g++-9-arm-linux-gnueabihf [armhf] <cross>, gobjc-9-arm-linux-gnueabihf [armhf] <cross>, gfortran-9-arm-linux-gnueabihf [armhf] <cross>, gdc-9-arm-linux-gnueabihf [armhf] <cross>, gccgo-9-arm-linux-gnueabihf [armhf] <cross>, gnat-9-arm-linux-gnueabihf [armhf] <cross>, gm2-9-arm-linux-gnueabihf [armhf] <cross>, g++-9-aarch64-linux-gnu [arm64] <cross>, gobjc-9-aarch64-linux-gnu [arm64] <cross>, gfortran-9-aarch64-linux-gnu [arm64] <cross>, gdc-9-aarch64-linux-gnu [arm64] <cross>, gccgo-9-aarch64-linux-gnu [arm64] <cross>, gnat-9-aarch64-linux-gnu [arm64] <cross>, gm2-9-aarch64-linux-gnu [arm64] <cross>, g++-9-i686-linux-gnu [i386] <cross>, gobjc-9-i686-linux-gnu [i386] <cross>, gfortran-9-i686-linux-gnu [i386] <cross>, gdc-9-i686-linux-gnu [i386] <cross>, gccgo-9-i686-linux-gnu [i386] <cross>, gnat-9-i686-linux-gnu [i386] <cross>, gm2-9-i686-linux-gnu [i386] <cross>, g++-9-mipsel-linux-gnu [mipsel] <cross>, gobjc-9-mipsel-linux-gnu [mipsel] <cross>, gfortran-9-mipsel-linux-gnu [mipsel] <cross>, gdc-9-mipsel-linux-gnu [mipsel] <cross>, gccgo-9-mipsel-linux-gnu [mipsel] <cross>, gnat-9-mipsel-linux-gnu [mipsel] <cross>, gm2-9-mipsel-linux-gnu [mipsel] <cross>, g++-9-mips64-linux-gnuabi64 [mips64] <cross>, gobjc-9-mips64-linux-gnuabi64 [mips64] <cross>, gfortran-9-mips64-linux-gnuabi64 [mips64] <cross>, gdc-9-mips64-linux-gnuabi64 [mips64] <cross>, gccgo-9-mips64-linux-gnuabi64 [mips64] <cross>, gnat-9-mips64-linux-gnuabi64 [mips64] <cross>, gm2-9-mips64-linux-gnuabi64 [mips64] <cross>, g++-9-mips64el-linux-gnuabi64 [mips64el] <cross>, gobjc-9-mips64el-linux-gnuabi64 [mips64el] <cross>, gfortran-9-mips64el-linux-gnuabi64 [mips64el] <cross>, gdc-9-mips64el-linux-gnuabi64 [mips64el] <cross>, gccgo-9-mips64el-linux-gnuabi64 [mips64el] <cross>, gnat-9-mips64el-linux-gnuabi64 [mips64el] <cross>, gm2-9-mips64el-linux-gnuabi64 [mips64el] <cross>, g++-9-mips64-linux-gnuabin32 [mipsn32] <cross>, gobjc-9-mips64-linux-gnuabin32 [mipsn32] <cross>, gfortran-9-mips64-linux-gnuabin32 [mipsn32] <cross>, gdc-9-mips64-linux-gnuabin32 [mipsn32] <cross>, gccgo-9-mips64-linux-gnuabin32 [mipsn32] <cross>, gnat-9-mips64-linux-gnuabin32 [mipsn32] <cross>, gm2-9-mips64-linux-gnuabin32 [mipsn32] <cross>, g++-9-powerpc-linux-gnu [powerpc] <cross>, gobjc-9-powerpc-linux-gnu [powerpc] <cross>, gfortran-9-powerpc-linux-gnu [powerpc] <cross>, gdc-9-powerpc-linux-gnu [powerpc] <cross>, gccgo-9-powerpc-linux-gnu [powerpc] <cross>, gnat-9-powerpc-linux-gnu [powerpc] <cross>, g++-9-powerpc64-linux-gnu [ppc64] <cross>, gobjc-9-powerpc64-linux-gnu [ppc64] <cross>, gfortran-9-powerpc64-linux-gnu [ppc64] <cross>, gdc-9-powerpc64-linux-gnu [ppc64] <cross>, gccgo-9-powerpc64-linux-gnu [ppc64] <cross>, gnat-9-powerpc64-linux-gnu [ppc64] <cross>, g++-9-powerpc64le-linux-gnu [ppc64el] <cross>, gobjc-9-powerpc64le-linux-gnu [ppc64el] <cross>, gfortran-9-powerpc64le-linux-gnu [ppc64el] <cross>, gdc-9-powerpc64le-linux-gnu [ppc64el] <cross>, gccgo-9-powerpc64le-linux-gnu [ppc64el] <cross>, gnat-9-powerpc64le-linux-gnu [ppc64el] <cross>, gm2-9-powerpc64le-linux-gnu [ppc64el] <cross>, g++-9-m68k-linux-gnu [m68k] <cross>, gobjc-9-m68k-linux-gnu [m68k] <cross>, gfortran-9-m68k-linux-gnu [m68k] <cross>, gdc-9-m68k-linux-gnu [m68k] <cross>, gm2-9-m68k-linux-gnu [m68k] <cross>, g++-9-riscv64-linux-gnu [riscv64] <cross>, gobjc-9-riscv64-linux-gnu [riscv64] <cross>, gfortran-9-riscv64-linux-gnu [riscv64] <cross>, gdc-9-riscv64-linux-gnu [riscv64] <cross>, gccgo-9-riscv64-linux-gnu [riscv64] <cross>, gnat-9-riscv64-linux-gnu [riscv64] <cross>, gm2-9-riscv64-linux-gnu [riscv64] <cross>, g++-9-sh4-linux-gnu [sh4] <cross>, gobjc-9-sh4-linux-gnu [sh4] <cross>, gfortran-9-sh4-linux-gnu [sh4] <cross>, gnat-9-sh4-linux-gnu [sh4] <cross>, g++-9-sparc64-linux-gnu [sparc64] <cross>, gobjc-9-sparc64-linux-gnu [sparc64] <cross>, gfortran-9-sparc64-linux-gnu [sparc64] <cross>, gdc-9-sparc64-linux-gnu [sparc64] <cross>, gccgo-9-sparc64-linux-gnu [sparc64] <cross>, gnat-9-sparc64-linux-gnu [sparc64] <cross>, gm2-9-sparc64-linux-gnu [sparc64] <cross>, g++-9-s390x-linux-gnu [s390x] <cross>, gobjc-9-s390x-linux-gnu [s390x] <cross>, gfortran-9-s390x-linux-gnu [s390x] <cross>, gdc-9-s390x-linux-gnu [s390x] <cross>, gccgo-9-s390x-linux-gnu [s390x] <cross>, gnat-9-s390x-linux-gnu [s390x] <cross>, gm2-9-s390x-linux-gnu [s390x] <cross>, g++-9-x86-64-linux-gnux32 [x32] <cross>, gobjc-9-x86-64-linux-gnux32 [x32] <cross>, gfortran-9-x86-64-linux-gnux32 [x32] <cross>, gdc-9-x86-64-linux-gnux32 [x32] <cross>, gccgo-9-x86-64-linux-gnux32 [x32] <cross>, gnat-9-x86-64-linux-gnux32 [x32] <cross>, g++-9-mips64el-linux-gnuabin32 [mipsn32el] <cross>, gobjc-9-mips64el-linux-gnuabin32 [mipsn32el] <cross>, gfortran-9-mips64el-linux-gnuabin32 [mipsn32el] <cross>, gdc-9-mips64el-linux-gnuabin32 [mipsn32el] <cross>, gccgo-9-mips64el-linux-gnuabin32 [mipsn32el] <cross>, gnat-9-mips64el-linux-gnuabin32 [mipsn32el] <cross>, gm2-9-mips64el-linux-gnuabin32 [mipsn32el] <cross>, g++-9-mipsisa32r6-linux-gnu [mipsr6] <cross>, gobjc-9-mipsisa32r6-linux-gnu [mipsr6] <cross>, gfortran-9-mipsisa32r6-linux-gnu [mipsr6] <cross>, gdc-9-mipsisa32r6-linux-gnu [mipsr6] <cross>, gccgo-9-mipsisa32r6-linux-gnu [mipsr6] <cross>, gnat-9-mipsisa32r6-linux-gnu [mipsr6] <cross>, gm2-9-mipsisa32r6-linux-gnu [mipsr6] <cross>, g++-9-mipsisa32r6el-linux-gnu [mipsr6el] <cross>, gobjc-9-mipsisa32r6el-linux-gnu [mipsr6el] <cross>, gfortran-9-mipsisa32r6el-linux-gnu [mipsr6el] <cross>, gdc-9-mipsisa32r6el-linux-gnu [mipsr6el] <cross>, gccgo-9-mipsisa32r6el-linux-gnu [mipsr6el] <cross>, gnat-9-mipsisa32r6el-linux-gnu [mipsr6el] <cross>, gm2-9-mipsisa32r6el-linux-gnu [mipsr6el] <cross>, g++-9-mipsisa64r6-linux-gnuabi64 [mips64r6] <cross>, gobjc-9-mipsisa64r6-linux-gnuabi64 [mips64r6] <cross>, gfortran-9-mipsisa64r6-linux-gnuabi64 [mips64r6] <cross>, gdc-9-mipsisa64r6-linux-gnuabi64 [mips64r6] <cross>, gccgo-9-mipsisa64r6-linux-gnuabi64 [mips64r6] <cross>, gnat-9-mipsisa64r6-linux-gnuabi64 [mips64r6] <cross>, gm2-9-mipsisa64r6-linux-gnuabi64 [mips64r6] <cross>, g++-9-mipsisa64r6el-linux-gnuabi64 [mips64r6el] <cross>, gobjc-9-mipsisa64r6el-linux-gnuabi64 [mips64r6el] <cross>, gfortran-9-mipsisa64r6el-linux-gnuabi64 [mips64r6el] <cross>, gdc-9-mipsisa64r6el-linux-gnuabi64 [mips64r6el] <cross>, gccgo-9-mipsisa64r6el-linux-gnuabi64 [mips64r6el] <cross>, gnat-9-mipsisa64r6el-linux-gnuabi64 [mips64r6el] <cross>, gm2-9-mipsisa64r6el-linux-gnuabi64 [mips64r6el] <cross>, g++-9-mipsisa64r6-linux-gnuabin32 [mipsn32r6] <cross>, gobjc-9-mipsisa64r6-linux-gnuabin32 [mipsn32r6] <cross>, gfortran-9-mipsisa64r6-linux-gnuabin32 [mipsn32r6] <cross>, gdc-9-mipsisa64r6-linux-gnuabin32 [mipsn32r6] <cross>, gccgo-9-mipsisa64r6-linux-gnuabin32 [mipsn32r6] <cross>, gnat-9-mipsisa64r6-linux-gnuabin32 [mipsn32r6] <cross>, gm2-9-mipsisa64r6-linux-gnuabin32 [mipsn32r6] <cross>, g++-9-mipsisa64r6el-linux-gnuabin32 [mipsn32r6el] <cross>, gobjc-9-mipsisa64r6el-linux-gnuabin32 [mipsn32r6el] <cross>, gfortran-9-mipsisa64r6el-linux-gnuabin32 [mipsn32r6el] <cross>, gdc-9-mipsisa64r6el-linux-gnuabin32 [mipsn32r6el] <cross>, gccgo-9-mipsisa64r6el-linux-gnuabin32 [mipsn32r6el] <cross>, gnat-9-mipsisa64r6el-linux-gnuabin32 [mipsn32r6el] <cross>, gm2-9-mipsisa64r6el-linux-gnuabin32 [mipsn32r6el] <cross>, 
Build-Depends-Indep: doxygen (>= 1.7.2), graphviz (>= 2.2), ghostscript, texlive-latex-base, xsltproc, libxml2-utils, docbook-xsl-ns
Homepage: http://gcc.gnu.org/
Vcs-Browser: https://salsa.debian.org/toolchain-team/gcc
Vcs-Git: https://salsa.debian.org/toolchain-team/gcc.git
XS-Testsuite: autopkgtest

Package: gcc-9-base
Architecture: any
Multi-Arch: same
Section: libs
Priority: required
Depends: ${misc:Depends}
Replaces: ${base:Replaces}
Breaks: ${base:Breaks}
Description: GCC, the GNU Compiler Collection (base package)
 This package contains files common to all languages and libraries
 contained in the GNU Compiler Collection (GCC).

Package: libgcc1
X-DH-Build-For-Type: target
Architecture: any
Section: libs
Priority: optional
Depends: gcc-9-base (= ${gcc:Version}), ${shlibs:Depends}, ${misc:Depends}
Provides: libgcc1-armel [armel], libgcc1-armhf [armhf]
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Breaks: ${multiarch:breaks}
Description: GCC support library
 Shared version of the support library, a library of internal subroutines

## gcc-9 9.3.0

=== debian/changelog ===
gcc-9 (9.3.0-8) unstable; urgency=medium

  * Update to git 20200324 from the gcc-9 branch.
    - Fix PR tree-optimization/94125, PR target/90763 (PPC).
  * libgcc-N-dev: Include sanitizer headers again. Closes: #954750.
  * gm2: Define lang_register_spec_functions for jit. Addresses: #954438.
  * Generate dependencies on libgcc-sN if not building the common packages.

 -- Matthias Klose <doko@debian.org>  Mon, 23 Mar 2020 18:41:59 +0100

gcc-9 (9.3.0-7) unstable; urgency=medium

  * Fix stage1 and stage2 cross builds.

 -- Matthias Klose <doko@debian.org>  Sun, 22 Mar 2020 14:04:33 +0100

gcc-9 (9.3.0-6) unstable; urgency=medium

  * Move back the libgccjit headers into libgccjit-N-dev.

 -- Matthias Klose <doko@debian.org>  Sat, 21 Mar 2020 12:37:48 +0100

gcc-9 (9.3.0-5) unstable; urgency=medium

  * Update to git 20200320 from the gcc-9 branch.
    - Fix PR tree-optimization/94163, PR rtl-optimization/94119,
      PR target/87560 (PPC), PR target/91913 (ARM), PR target/93800 (PPC),
      PR c++/92909, PR c++/92068, PR c++/93248, PR libstdc++/94063,
      PR libstdc++/93244, PR driver/92757, PR target/93709, PR middle-end/94189,
      PR debug/94167, PR middle-end/93566, PR target/94121 (AArch64),
      PR tree-optimization/94130, PR target/94121 (AArch64),
      PR middle-end/94111, PR tree-optimization/94114, PR middle-end/93399,
      PR debug/93888, PR tree-optimization/94001, PR libstdc++/94199.
  * Build using GCC 9 again.
  * Move limits.h and syslimits.h into <gcc-lib-dir>/include, and remove
    <gcc-lib-dir>/include-fixed.
  * Relax the dependency on libc6 again.

 -- Matthias Klose <doko@debian.org>  Fri, 20 Mar 2020 10:40:52 +0100

gcc-9 (9.3.0-3) unstable; urgency=high

  * Ship the include-fixed directory again, for a working #include <limits.h>.
  * Build using GCC 8.

 -- Matthias Klose <doko@debian.org>  Fri, 13 Mar 2020 09:37:07 +0100

gcc-9 (9.3.0-1) unstable; urgency=medium

  * GCC 9.3.0 release.
  * Update newlib to 3.3.0.
  * Update gm2 from the gcc_9_2_0_gm2 branch 202003114.
  * For all runtime libraries, generate dependencies on libgcc-sN instead
    on libgccN.
  * Stop shipping the include-fixed directory.
  * Refresh patches.
  * Tighten dependency on libc6 for this upload.

 -- Matthias Klose <doko@debian.org>  Thu, 12 Mar 2020 15:24:59 +0100

gcc-9 (9.2.1-31) unstable; urgency=medium

  * GCC 9.3.0 release candidate.
  * Update to git 20200304 from the gcc-9 branch.
    - Fix PR c/93949, PR tree-optimization/93945, PR target/91276 (PPC),
      PR c++/92003, PR target/93047 (PPC), PR tree-optimization/93820,
      PR rtl-optimization/93908, PR tree-optimization/93767, PR c++/92745,
      PR c++/90951, PR c++/93140, PR c++/92852, PR libstdc++/93205,
      PR libstdc++/92886, PR libstdc++/93325, PR libstdc++/93562,
      PR libstdc++/92376, PR libstdc++/78552, PR rtl-optimization/94002,
      PR c++/92601,i PR other/93965, PR c++/86917, PR c++/91953,
      PR c++/88256, PR c++/93442, PR c++/90732, PR c++/90333, PR c++/89640,
      PR c++/60503, PR libbacktrace/91908, PR lto/93966,
      PR target/94046 (x86), PR target/90311 (ARM), PR sanitizer/93436,
      PR c++/88395, PR c++/93551, PR gcov-profile/93753, PR c++/90338,
      PR c++/91607, PR c++/90938, PR c++/93299, PR c++/93676, PR c++/90505,
      PR c++/90432, PR c++/90997, PR fortran/92976, PR libstdc++/94069,
      PR libstdc++/91910, PR libstdc++/93470, PR libstdc++/93325.
    - Revert PR target/93658 (PPC), PR target/93568 (PPC).

 -- Matthias Klose <doko@ubuntu.com>  Fri, 06 Mar 2020 20:20:03 +0100

gcc-9 (9.2.1-30) unstable; urgency=medium

  * Update to git 20200224 from the gcc-9 branch.
    - Fix PR target/93658 (PPC), PR target/93568 (PPC), PR target/93828 (x86),
      PR target/93656 (x86).
  * Don't create doc directories for -dbg packages when not building those.
  * Fix PR rtl-optimization/93272, taken from the trunk. LP: #1862342.

 -- Matthias Klose <doko@debian.org>  Mon, 24 Feb 2020 20:10:08 +0100

gcc-9 (9.2.1-29) unstable; urgency=medium

  * Update to git 20200220 from the gcc-9 branch.
    - Fix PR middle-end/92768, PR middle-end/90313, PR tree-optimization/93434,
      PR tree-optimization/92710, PR tree-optimization/92420, PR target/90724,
      PR target/93724 (x86), PR target/93743 (x86), PR tree-optimization/93744,
      PR target/93704 (SPARC), PR rtl-optimization/88879, PR middle-end/90648,
      PR tree-optimization/93381, PR tree-optimization/93439,
      PR middle-end/93054, PR debug/92763, PR tree-optimization/92704,
      PR middle-end/92674, PR target/93696 (x86), PR target/93670 (x86),
      PR target/93637 (x86), PR target/65782 (x86), PR libgomp/93515,
      PR libgomp/93515, PR middle-end/93555, PR middle-end/93505,
      PR target/93418 (x86), PR rtl-optimization/93402, PR target/85667,
      PR rtl-optimization/91838, PR c/93576, PR c++/61414, PR c++/93557,
      PR c++/91118, PR fortran/93580, PR fortran/93463, PR libgcc/85334,
      PR fortran/93714.
  * Fix PR target/93658 (PPC), proposed patch. LP: #1862053.

 -- Matthias Klose <doko@debian.org>  Thu, 20 Feb 2020 10:09:59 +0100

gcc-9 (9.2.1-28) unstable; urgency=medium

  * Update to git 20200203 from the gcc-9 branch.
    - Fix PR fortran/93541, PR fortran/93462, PR fortran/93309.
  * libgcc-dev: Don't ship a libgcc_so.1 symlink in gcclibdir. Closes: #950525.
  * Allow retrying of a native build in case of unreproducible ICEs.

 -- Matthias Klose <doko@debian.org>  Mon, 03 Feb 2020 18:12:19 +0100

gcc-9 (9.2.1-26) unstable; urgency=medium

  * Update to git 20200202 from the gcc-9 branch.
    - Fix PR target/93304 (RISCV), PR target/92424 (AArch64),
      PR target/92692 (AArch64), PR c++/89357, PR c++/90546, PR c++/90731,
      PR c++/90966, PR c++/93279, PR c++/91826, PR c++/92852,
      PR libstdc++/91947.
  * Stop building packages now built by gcc-10.
  * Dump the config.log for the configure step when it fails.
  * On architectures where libgcc_s.so is a symlink, replace the symlink with


=== debian/control ===
Source: gcc-9
Section: devel
Priority: optional
Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
Uploaders: Matthias Klose <doko@debian.org>
Standards-Version: 4.5.0
Build-Depends: debhelper (>= 9.20141010), dpkg-dev (>= 1.17.14), g++-multilib [amd64 i386 kfreebsd-amd64 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 s390 s390x sparc sparc64 x32] <!cross>, 
  libc6.1-dev (>= 2.13-5) [alpha ia64] | libc0.3-dev (>= 2.13-5) [hurd-i386] | libc0.1-dev (>= 2.13-5) [kfreebsd-i386 kfreebsd-amd64] | libc6-dev (>= 2.13-5), libc6-dev (>= 2.13-31) [armel armhf], libc6-dev-amd64 [i386 x32], libc6-dev-sparc64 [sparc], libc6-dev-sparc [sparc64], libc6-dev-s390 [s390x], libc6-dev-s390x [s390], libc6-dev-i386 [amd64 x32], libc6-dev-powerpc [ppc64], libc6-dev-ppc64 [powerpc], libc0.1-dev-i386 [kfreebsd-amd64], lib32gcc1 [amd64 ppc64 kfreebsd-amd64 mipsn32 mipsn32el mips64 mips64el mipsn32r6 mipsn32r6el mips64r6 mips64r6el s390x sparc64 x32], libn32gcc1 [mips mipsel mips64 mips64el mipsr6 mipsr6el mips64r6 mips64r6el], lib64gcc1 [i386 mips mipsel mipsn32 mipsn32el mipsr6 mipsr6el mipsn32r6 mipsn32r6el powerpc sparc s390 x32], libc6-dev-mips64 [mips mipsel mipsn32 mipsn32el mipsr6 mipsr6el mipsn32r6 mipsn32r6el], libc6-dev-mipsn32 [mips mipsel mips64 mips64el mipsr6 mipsr6el mips64r6 mips64r6el], libc6-dev-mips32 [mipsn32 mipsn32el mips64 mips64el mipsn32r6 mipsn32r6el mips64r6 mips64r6el], libc6-dev-x32 [amd64 i386], libx32gcc1 [amd64 i386], libc6.1-dbg [alpha ia64] | libc0.3-dbg [hurd-i386] | libc0.1-dbg [kfreebsd-i386 kfreebsd-amd64] | libc6-dbg, 
  kfreebsd-kernel-headers (>= 0.84) [kfreebsd-any], linux-libc-dev [m68k], 
  m4, libtool, autoconf, gcc-10-base, 
  dwz, libunwind8-dev [ia64], libatomic-ops-dev [ia64], 
  gawk, lzma, xz-utils, patchutils, 
  zlib1g-dev, systemtap-sdt-dev [linux-any kfreebsd-any hurd-any], 
  binutils:native (>= 2.33.1), binutils-hppa64-linux-gnu:native (>= 2.33.1) [hppa amd64 i386 x32], 
  gperf (>= 3.0.1), bison (>= 1:2.3), flex, gettext, 
  gdb:native [!riscv64], nvptx-tools [amd64 ppc64el], 
  texinfo (>= 4.3), locales-all, sharutils, 
  procps, gnat-9:native [!m32r !sh3 !sh3eb !sh4eb !m68k], g++-9:native, netbase, libpth-dev, python3:any, 
  libisl-dev (>= 0.20), libmpc-dev (>= 1.0), libmpfr-dev (>= 3.0.0-9~), libgmp-dev (>= 2:5.0.1~), lib32z1-dev [amd64 kfreebsd-amd64], lib64z1-dev [i386], 
  dejagnu [!m68k] <!nocheck>, coreutils (>= 2.26) | realpath (>= 1.9.12), chrpath, lsb-release, quilt, 
  pkg-config, libgc-dev, 
   g++-9-alpha-linux-gnu [alpha] <cross>, gobjc-9-alpha-linux-gnu [alpha] <cross>, gfortran-9-alpha-linux-gnu [alpha] <cross>, gdc-9-alpha-linux-gnu [alpha] <cross>, gccgo-9-alpha-linux-gnu [alpha] <cross>, gnat-9-alpha-linux-gnu [alpha] <cross>, gm2-9-alpha-linux-gnu [alpha] <cross>, g++-9-x86-64-linux-gnu [amd64] <cross>, gobjc-9-x86-64-linux-gnu [amd64] <cross>, gfortran-9-x86-64-linux-gnu [amd64] <cross>, gdc-9-x86-64-linux-gnu [amd64] <cross>, gccgo-9-x86-64-linux-gnu [amd64] <cross>, gnat-9-x86-64-linux-gnu [amd64] <cross>, gm2-9-x86-64-linux-gnu [amd64] <cross>, g++-9-arm-linux-gnueabi [armel] <cross>, gobjc-9-arm-linux-gnueabi [armel] <cross>, gfortran-9-arm-linux-gnueabi [armel] <cross>, gdc-9-arm-linux-gnueabi [armel] <cross>, gccgo-9-arm-linux-gnueabi [armel] <cross>, gnat-9-arm-linux-gnueabi [armel] <cross>, gm2-9-arm-linux-gnueabi [armel] <cross>, g++-9-arm-linux-gnueabihf [armhf] <cross>, gobjc-9-arm-linux-gnueabihf [armhf] <cross>, gfortran-9-arm-linux-gnueabihf [armhf] <cross>, gdc-9-arm-linux-gnueabihf [armhf] <cross>, gccgo-9-arm-linux-gnueabihf [armhf] <cross>, gnat-9-arm-linux-gnueabihf [armhf] <cross>, gm2-9-arm-linux-gnueabihf [armhf] <cross>, g++-9-aarch64-linux-gnu [arm64] <cross>, gobjc-9-aarch64-linux-gnu [arm64] <cross>, gfortran-9-aarch64-linux-gnu [arm64] <cross>, gdc-9-aarch64-linux-gnu [arm64] <cross>, gccgo-9-aarch64-linux-gnu [arm64] <cross>, gnat-9-aarch64-linux-gnu [arm64] <cross>, gm2-9-aarch64-linux-gnu [arm64] <cross>, g++-9-i686-linux-gnu [i386] <cross>, gobjc-9-i686-linux-gnu [i386] <cross>, gfortran-9-i686-linux-gnu [i386] <cross>, gdc-9-i686-linux-gnu [i386] <cross>, gccgo-9-i686-linux-gnu [i386] <cross>, gnat-9-i686-linux-gnu [i386] <cross>, gm2-9-i686-linux-gnu [i386] <cross>, g++-9-mipsel-linux-gnu [mipsel] <cross>, gobjc-9-mipsel-linux-gnu [mipsel] <cross>, gfortran-9-mipsel-linux-gnu [mipsel] <cross>, gdc-9-mipsel-linux-gnu [mipsel] <cross>, gccgo-9-mipsel-linux-gnu [mipsel] <cross>, gnat-9-mipsel-linux-gnu [mipsel] <cross>, gm2-9-mipsel-linux-gnu [mipsel] <cross>, g++-9-mips64-linux-gnuabi64 [mips64] <cross>, gobjc-9-mips64-linux-gnuabi64 [mips64] <cross>, gfortran-9-mips64-linux-gnuabi64 [mips64] <cross>, gdc-9-mips64-linux-gnuabi64 [mips64] <cross>, gccgo-9-mips64-linux-gnuabi64 [mips64] <cross>, gnat-9-mips64-linux-gnuabi64 [mips64] <cross>, gm2-9-mips64-linux-gnuabi64 [mips64] <cross>, g++-9-mips64el-linux-gnuabi64 [mips64el] <cross>, gobjc-9-mips64el-linux-gnuabi64 [mips64el] <cross>, gfortran-9-mips64el-linux-gnuabi64 [mips64el] <cross>, gdc-9-mips64el-linux-gnuabi64 [mips64el] <cross>, gccgo-9-mips64el-linux-gnuabi64 [mips64el] <cross>, gnat-9-mips64el-linux-gnuabi64 [mips64el] <cross>, gm2-9-mips64el-linux-gnuabi64 [mips64el] <cross>, g++-9-mips64-linux-gnuabin32 [mipsn32] <cross>, gobjc-9-mips64-linux-gnuabin32 [mipsn32] <cross>, gfortran-9-mips64-linux-gnuabin32 [mipsn32] <cross>, gdc-9-mips64-linux-gnuabin32 [mipsn32] <cross>, gccgo-9-mips64-linux-gnuabin32 [mipsn32] <cross>, gnat-9-mips64-linux-gnuabin32 [mipsn32] <cross>, gm2-9-mips64-linux-gnuabin32 [mipsn32] <cross>, g++-9-powerpc-linux-gnu [powerpc] <cross>, gobjc-9-powerpc-linux-gnu [powerpc] <cross>, gfortran-9-powerpc-linux-gnu [powerpc] <cross>, gdc-9-powerpc-linux-gnu [powerpc] <cross>, gccgo-9-powerpc-linux-gnu [powerpc] <cross>, gnat-9-powerpc-linux-gnu [powerpc] <cross>, g++-9-powerpc64-linux-gnu [ppc64] <cross>, gobjc-9-powerpc64-linux-gnu [ppc64] <cross>, gfortran-9-powerpc64-linux-gnu [ppc64] <cross>, gdc-9-powerpc64-linux-gnu [ppc64] <cross>, gccgo-9-powerpc64-linux-gnu [ppc64] <cross>, gnat-9-powerpc64-linux-gnu [ppc64] <cross>, g++-9-powerpc64le-linux-gnu [ppc64el] <cross>, gobjc-9-powerpc64le-linux-gnu [ppc64el] <cross>, gfortran-9-powerpc64le-linux-gnu [ppc64el] <cross>, gdc-9-powerpc64le-linux-gnu [ppc64el] <cross>, gccgo-9-powerpc64le-linux-gnu [ppc64el] <cross>, gnat-9-powerpc64le-linux-gnu [ppc64el] <cross>, gm2-9-powerpc64le-linux-gnu [ppc64el] <cross>, g++-9-m68k-linux-gnu [m68k] <cross>, gobjc-9-m68k-linux-gnu [m68k] <cross>, gfortran-9-m68k-linux-gnu [m68k] <cross>, gdc-9-m68k-linux-gnu [m68k] <cross>, gm2-9-m68k-linux-gnu [m68k] <cross>, g++-9-riscv64-linux-gnu [riscv64] <cross>, gobjc-9-riscv64-linux-gnu [riscv64] <cross>, gfortran-9-riscv64-linux-gnu [riscv64] <cross>, gdc-9-riscv64-linux-gnu [riscv64] <cross>, gccgo-9-riscv64-linux-gnu [riscv64] <cross>, gnat-9-riscv64-linux-gnu [riscv64] <cross>, gm2-9-riscv64-linux-gnu [riscv64] <cross>, g++-9-sh4-linux-gnu [sh4] <cross>, gobjc-9-sh4-linux-gnu [sh4] <cross>, gfortran-9-sh4-linux-gnu [sh4] <cross>, gnat-9-sh4-linux-gnu [sh4] <cross>, g++-9-sparc64-linux-gnu [sparc64] <cross>, gobjc-9-sparc64-linux-gnu [sparc64] <cross>, gfortran-9-sparc64-linux-gnu [sparc64] <cross>, gdc-9-sparc64-linux-gnu [sparc64] <cross>, gccgo-9-sparc64-linux-gnu [sparc64] <cross>, gnat-9-sparc64-linux-gnu [sparc64] <cross>, gm2-9-sparc64-linux-gnu [sparc64] <cross>, g++-9-s390x-linux-gnu [s390x] <cross>, gobjc-9-s390x-linux-gnu [s390x] <cross>, gfortran-9-s390x-linux-gnu [s390x] <cross>, gdc-9-s390x-linux-gnu [s390x] <cross>, gccgo-9-s390x-linux-gnu [s390x] <cross>, gnat-9-s390x-linux-gnu [s390x] <cross>, gm2-9-s390x-linux-gnu [s390x] <cross>, g++-9-x86-64-linux-gnux32 [x32] <cross>, gobjc-9-x86-64-linux-gnux32 [x32] <cross>, gfortran-9-x86-64-linux-gnux32 [x32] <cross>, gdc-9-x86-64-linux-gnux32 [x32] <cross>, gccgo-9-x86-64-linux-gnux32 [x32] <cross>, gnat-9-x86-64-linux-gnux32 [x32] <cross>, gm2-9-x86-64-linux-gnux32 [x32] <cross>, g++-9-mips64el-linux-gnuabin32 [mipsn32el] <cross>, gobjc-9-mips64el-linux-gnuabin32 [mipsn32el] <cross>, gfortran-9-mips64el-linux-gnuabin32 [mipsn32el] <cross>, gdc-9-mips64el-linux-gnuabin32 [mipsn32el] <cross>, gccgo-9-mips64el-linux-gnuabin32 [mipsn32el] <cross>, gnat-9-mips64el-linux-gnuabin32 [mipsn32el] <cross>, gm2-9-mips64el-linux-gnuabin32 [mipsn32el] <cross>, g++-9-mipsisa32r6-linux-gnu [mipsr6] <cross>, gobjc-9-mipsisa32r6-linux-gnu [mipsr6] <cross>, gfortran-9-mipsisa32r6-linux-gnu [mipsr6] <cross>, gdc-9-mipsisa32r6-linux-gnu [mipsr6] <cross>, gccgo-9-mipsisa32r6-linux-gnu [mipsr6] <cross>, gnat-9-mipsisa32r6-linux-gnu [mipsr6] <cross>, gm2-9-mipsisa32r6-linux-gnu [mipsr6] <cross>, g++-9-mipsisa32r6el-linux-gnu [mipsr6el] <cross>, gobjc-9-mipsisa32r6el-linux-gnu [mipsr6el] <cross>, gfortran-9-mipsisa32r6el-linux-gnu [mipsr6el] <cross>, gdc-9-mipsisa32r6el-linux-gnu [mipsr6el] <cross>, gccgo-9-mipsisa32r6el-linux-gnu [mipsr6el] <cross>, gnat-9-mipsisa32r6el-linux-gnu [mipsr6el] <cross>, gm2-9-mipsisa32r6el-linux-gnu [mipsr6el] <cross>, g++-9-mipsisa64r6-linux-gnuabi64 [mips64r6] <cross>, gobjc-9-mipsisa64r6-linux-gnuabi64 [mips64r6] <cross>, gfortran-9-mipsisa64r6-linux-gnuabi64 [mips64r6] <cross>, gdc-9-mipsisa64r6-linux-gnuabi64 [mips64r6] <cross>, gccgo-9-mipsisa64r6-linux-gnuabi64 [mips64r6] <cross>, gnat-9-mipsisa64r6-linux-gnuabi64 [mips64r6] <cross>, gm2-9-mipsisa64r6-linux-gnuabi64 [mips64r6] <cross>, g++-9-mipsisa64r6el-linux-gnuabi64 [mips64r6el] <cross>, gobjc-9-mipsisa64r6el-linux-gnuabi64 [mips64r6el] <cross>, gfortran-9-mipsisa64r6el-linux-gnuabi64 [mips64r6el] <cross>, gdc-9-mipsisa64r6el-linux-gnuabi64 [mips64r6el] <cross>, gccgo-9-mipsisa64r6el-linux-gnuabi64 [mips64r6el] <cross>, gnat-9-mipsisa64r6el-linux-gnuabi64 [mips64r6el] <cross>, gm2-9-mipsisa64r6el-linux-gnuabi64 [mips64r6el] <cross>, g++-9-mipsisa64r6-linux-gnuabin32 [mipsn32r6] <cross>, gobjc-9-mipsisa64r6-linux-gnuabin32 [mipsn32r6] <cross>, gfortran-9-mipsisa64r6-linux-gnuabin32 [mipsn32r6] <cross>, gdc-9-mipsisa64r6-linux-gnuabin32 [mipsn32r6] <cross>, gccgo-9-mipsisa64r6-linux-gnuabin32 [mipsn32r6] <cross>, gnat-9-mipsisa64r6-linux-gnuabin32 [mipsn32r6] <cross>, gm2-9-mipsisa64r6-linux-gnuabin32 [mipsn32r6] <cross>, g++-9-mipsisa64r6el-linux-gnuabin32 [mipsn32r6el] <cross>, gobjc-9-mipsisa64r6el-linux-gnuabin32 [mipsn32r6el] <cross>, gfortran-9-mipsisa64r6el-linux-gnuabin32 [mipsn32r6el] <cross>, gdc-9-mipsisa64r6el-linux-gnuabin32 [mipsn32r6el] <cross>, gccgo-9-mipsisa64r6el-linux-gnuabin32 [mipsn32r6el] <cross>, gnat-9-mipsisa64r6el-linux-gnuabin32 [mipsn32r6el] <cross>, gm2-9-mipsisa64r6el-linux-gnuabin32 [mipsn32r6el] <cross>, 
Build-Depends-Indep: doxygen (>= 1.7.2), graphviz (>= 2.2), ghostscript, texlive-latex-base, xsltproc, libxml2-utils, docbook-xsl-ns
Homepage: http://gcc.gnu.org/
Vcs-Browser: https://salsa.debian.org/toolchain-team/gcc/tree/gcc-9-debian
Vcs-Git: https://salsa.debian.org/toolchain-team/gcc.git -b gcc-9-debian
XS-Testsuite: autopkgtest

Package: gcc-9-base
Architecture: any
Multi-Arch: same
Section: libs
Priority: required
Depends: ${misc:Depends}
Replaces: ${base:Replaces}
Breaks: ${base:Breaks}
Description: GCC, the GNU Compiler Collection (base package)
 This package contains files common to all languages and libraries
 contained in the GNU Compiler Collection (GCC).

Package: libgcc-9-dev
X-DH-Build-For-Type: target
Architecture: any
Section: libdevel
Priority: optional
Recommends: ${dep:libcdev}
Depends: gcc-9-base (= ${gcc:Version}), ${dep:libgcc}, ${dep:libssp}, ${dep:libgomp}, ${dep:libitm},
 ${dep:libatomic}, ${dep:libbtrace}, ${dep:libasan}, ${dep:liblsan},
 ${dep:libtsan}, ${dep:libubsan}, ${dep:libvtv},
 ${dep:libqmath}, ${dep:libunwinddev}, ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Breaks: libgccjit-9-dev (<< 9.3.0-6)
Replaces: libgccjit-9-dev (<< 9.3.0-6)
Description: GCC support library (development files)
